<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/activity_update"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context="net.ddns.mahaljsp.ch13_01_sqlite.UpdateActivity"
    android:orientation="vertical">
    <TableLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">
        <TableRow
            android:layout_width="match_parent"
            android:layout_height="match_parent" >
            <TextView
                android:text="ID"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:id="@+id/textView0" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/txtId"
                android:textSize="18sp" />
        </TableRow>
        <TableRow
            android:layout_width="match_parent"
            android:layout_height="match_parent" >
            <TextView
                android:text="FirstName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:id="@+id/textView1" />
            <EditText
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:inputType="textPersonName"
                android:ems="10"
                android:id="@+id/editFirstName" />
        </TableRow>
        <TableRow
            android:layout_width="match_parent"
            android:layout_height="match_parent" >
            <TextView
                android:text="LastName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:id="@+id/textView2" />
            <EditText
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:inputType="textPersonName"
                android:ems="10"
                android:id="@+id/editLastName" />
        </TableRow>
        <TableRow
            android:layout_width="match_parent"
            android:layout_height="match_parent" >
            <TextView
                android:text="Tel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:id="@+id/textView3" />
            <EditText
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:inputType="textPersonName"
                android:ems="10"
                android:id="@+id/editTel" />
        </TableRow>
        <TableRow
            android:layout_width="match_parent"
            android:layout_height="match_parent" >
            <TextView
                android:text="eMail"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:id="@+id/textView4" />
            <EditText
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:inputType="textPersonName"
                android:ems="10"
                android:id="@+id/editEmail" />
        </TableRow>
        <TableRow
            android:layout_width="match_parent"
            android:layout_height="match_parent" >
            <TextView
                android:text="Address"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:id="@+id/textView5" />
            <EditText
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:inputType="textPersonName"
                android:ems="10"
                android:id="@+id/editAddress" />
        </TableRow>
        <TableRow
            android:layout_width="match_parent"
            android:layout_height="match_parent" >
            <TextView
                android:text="Birthday"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:id="@+id/textView6" />

            <LinearLayout
                android:orientation="horizontal"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:id="@+id/txtBirthday"
                    android:textSize="18sp"
                    android:layout_weight="1" />

                <ImageButton
                    android:onClick="btDate_click"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:srcCompat="@android:drawable/ic_menu_month"
                    android:id="@+id/btDate"/>

            </LinearLayout>

        </TableRow>
    </TableLayout>
    <LinearLayout
        android:orientation="horizontal"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <Button
            android:text="取消"
            android:onClick="btCancel_click"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:id="@+id/btCancel"
            android:layout_weight="1" />

        <Button
            android:text="確定"
            android:onClick="btOk_click"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:id="@+id/btOk"
            android:layout_weight="1" />
    </LinearLayout>
</LinearLayout>
